Bug 675257 - [VMware_SVGA_II] Corrupted graphics in Virtual Machines with updated xorg-x11-server
[VMware_SVGA_II] Corrupted graphics in Virtual Machines with updated xorg-x11...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware (Show other bugs)
14
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 13:09 EST by Jason
Modified: 2011-11-29 14:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 681709 (view as bug list)
Environment:
Last Closed: 2011-11-29 14:55:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg (87.90 KB, text/plain)
2011-03-01 08:48 EST, Jason
no flags Details
messages (108.59 KB, text/plain)
2011-03-01 08:49 EST, Jason
no flags Details
xorg log (24.39 KB, text/plain)
2011-03-01 08:49 EST, Jason
no flags Details
Xorg log for Sony Vaio VPCEB26FG (80.27 KB, text/plain)
2011-03-01 18:31 EST, Peter Williams
no flags Details
messages log for Sony Vaio (125.48 KB, text/plain)
2011-03-01 18:34 EST, Peter Williams
no flags Details
dmesg output for Sony Vaio (123.17 KB, text/plain)
2011-03-01 18:37 EST, Peter Williams
no flags Details
Xorg log for nvidia equipped desktop (178.40 KB, text/plain)
2011-03-01 19:07 EST, Peter Williams
no flags Details
messages for Nvidia equipped desktop (427.89 KB, text/plain)
2011-03-01 19:09 EST, Peter Williams
no flags Details
dmesg output for Nvidia equipped desktop (122.82 KB, text/plain)
2011-03-01 19:11 EST, Peter Williams
no flags Details

  None (edit)
Description Jason 2011-02-04 13:09:26 EST
Description of problem:
Windows in X11 become corrupted when moved around in a VMware Player or VirtualBox vm's with these two updates installed:
xorg-x11-server-Xorg.x86_64                  1.9.3-4.fc14                updates
xorg-x11-server-common.x86_64                1.9.3-4.fc14                updates 

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg.x86_64                  1.9.3-4.fc14                updates
xorg-x11-server-common.x86_64                1.9.3-4.fc14                updates

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora in a VMware Player or VirtualBox vm
2. run 'yum -y update'
3. Install Guest Additions
  
Actual results:
Windows become corrupted when moving windows around or resizing them.

Expected results:
Windows do not become corrupted.

Additional info:
Downgrading to the following stops the problem from occurring:
xorg-x11-server-Xorg-1.9.0-15.fc14.x86_64
xorg-x11-server-common-1.9.0-15.fc14.x86_64

See the following for more information and a screen shot of the issue:
http://www.virtualbox.org/ticket/8248
http://forums.virtualbox.org/viewtopic.php?f=3&t=37833
Comment 1 Jason 2011-02-05 20:19:36 EST
I narrowed this down quite a bit. 

xorg-x11-server-1.9.1-3 works fine. xorg-x11-server-1.9.1-4 is where all the problems start. I diff'd the source for the two versions and the only significant change is:
-export CFLAGS="${RPM_OPT_FLAGS} -Wstrict-overflow -rdynamic $CFLAGS -Os"
+export CFLAGS="${RPM_OPT_FLAGS} -fno-omit-frame-pointer"

So, I took xorg-x11-server-1.9.3-4 and did this to the spec file:
diff -uNr rpmbuild-1.9.3-4/SPECS/xorg-x11-server.spec rpmbuild-1.9.3-4-fixed/SPECS/xorg-x11-server.spec 
--- rpmbuild-1.9.3-4/SPECS/xorg-x11-server.spec	2011-01-13 19:45:04.000000000 -0500
+++ rpmbuild-1.9.3-4-fixed/SPECS/xorg-x11-server.spec	2011-02-05 20:06:50.762569999 -0500
@@ -365,7 +365,7 @@
 rm -f aclocal.m4 ltmain.sh
 
 autoreconf -v --install || exit 1
-# export CFLAGS="${RPM_OPT_FLAGS}"
+export CFLAGS="${RPM_OPT_FLAGS} -Wstrict-overflow -rdynamic $CFLAGS -Os"
 # --with-pie ?
 %configure --enable-maintainer-mode %{xservers} \
 	--disable-static \


and now 1.9.3-4 works without issue (but still not pie)
Comment 2 Peter Williams 2011-02-27 20:29:43 EST
I'm seeing this problem in two real systems (i.e. not in VMWare) with different graphics hardware.  As described in comment 1, I can work around the problem by using yum to downgrade the xorg-x11-server-Xorg and xorg-x11-server-common packages until the 1.9.1 versions are reached.

The common factor between the two systems is that they're 1920x1080 pixel systems.

One system is a desktop with and nVidia GT215 [GeForce GT 240] card.
The other is Sony Vaio VPCEB26FG with a Radeon ATI HD 5600 series card.
Comment 3 Matěj Cepl 2011-03-01 06:30:50 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above (of course all this from old unpatched version of packages, please).

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Jason 2011-03-01 08:47:43 EST
I have no /etc/x11/xorg.conf, but I added drm.debug=0x04 in grub.conf, rebooted, and I am attaching the files you requested. This is with version 1.9.4-1 which came out as an updated the other day and has the same problem; I have not done anything to it yet to fix the problem.
Comment 5 Jason 2011-03-01 08:48:21 EST
Created attachment 481623 [details]
dmesg
Comment 6 Jason 2011-03-01 08:49:03 EST
Created attachment 481625 [details]
messages
Comment 7 Jason 2011-03-01 08:49:34 EST
Created attachment 481627 [details]
xorg log
Comment 8 Peter Williams 2011-03-01 18:31:49 EST
Created attachment 481738 [details]
Xorg log for Sony Vaio VPCEB26FG

Xorg log (as requested)
Comment 9 Peter Williams 2011-03-01 18:34:52 EST
Created attachment 481739 [details]
messages log for Sony Vaio

/var/log/messages as requested
Comment 10 Peter Williams 2011-03-01 18:37:00 EST
Created attachment 481740 [details]
dmesg output for Sony Vaio
Comment 11 Peter Williams 2011-03-01 18:39:44 EST
There does not appear to be a /etc/X11/xorg.conf on the Sony Vaio
Comment 12 Peter Williams 2011-03-01 19:07:52 EST
Created attachment 481750 [details]
Xorg log for nvidia equipped desktop
Comment 13 Peter Williams 2011-03-01 19:09:47 EST
Created attachment 481751 [details]
messages for Nvidia equipped desktop
Comment 14 Peter Williams 2011-03-01 19:11:15 EST
Created attachment 481752 [details]
dmesg output for Nvidia equipped desktop
Comment 15 Peter Williams 2011-03-01 19:18:31 EST
There does not appear to be an /etc/X11/xorg.conf on the desktop either.

For these tests, I upgraded to the latest available packages (1.9.4-1) on Fedora 14 and the problem does not appear to be as severe as it was before.

But still too annoying for normal use so I'm downgrading again.

Thanks.
Comment 16 Matěj Cepl 2011-03-02 06:16:06 EST
Please,
Comment 17 Matěj Cepl 2011-03-02 06:23:44 EST
Please, could you please keep different devices separate. Reporter, please, file a separate bug for ATI cards, and Peter, please, file a separate one for nvidia. If we make from this bug mesh of all corrupted graphics in Xorg world, it would be completely useless, and we won't resolve anything. Let's keep this one for VMware issue.

Of course, attach to those new bugs logs requested in comment 3 here.

Thank you.
Comment 18 Paul Thomas 2011-04-30 12:07:39 EDT
I am having the same issue initially reported here, i.e. windows corruption on a vmware guest running FC15 Beta (vmware 7.1.4, host windows 7).

I tried the workaround posted by the reporter (Comment #1), which successfully solves the issue (based on the cuurent version of the xorg-x11-server package: 1.10.1-11.fc15.x86_64).

Thank you for your continued review of this issue.
Comment 19 saiberion 2011-05-03 09:37:26 EDT
I may have found another workaround.

When activating Desktop Effects (Compiz) windows do not get corrupted anymore.
For VMs you need to enable 3D acceleration and install guest additions.
Comment 20 Paul Thomas 2011-05-05 12:27:48 EDT
Another information. I did the exact same install on a i686 based VM with no issues. So the problem may be limited to x86_64 virtual machines.

In reply to comment 19, enabling guest additions and 3D acceleration is probably not enough. You should also have a 3D video driver (vmwgfx for vmware), which is highly experimental at this stage and introduces much more problems.
Comment 21 Michael Cronenworth 2011-11-28 13:23:36 EST
Is this still an issue? This was fixed several months ago for me.
Comment 22 Jason 2011-11-29 14:01:08 EST
I think I saw this disappear somewhere during the F16 Alpha/Beta. It does not happen anymore.

Note You need to log in before you can comment on or make changes to this bug.